Page MenuHomePhabricator

Send more parameters to Maxmind minfraud service
Closed, ResolvedPublic4 Story Points

Description

Make sure we're using all we can: http://dev.maxmind.com/minfraud/#Input

Event Timeline

Ejegg created this task.Mar 4 2016, 8:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2016, 8:15 PM

Change 275043 had a related patch set uploaded (by Ejegg):
WIP send more Minfraud params

https://gerrit.wikimedia.org/r/275043

DStrine triaged this task as Normal priority.Mar 8 2016, 8:32 PM
DStrine added a subscriber: DStrine.

note: this may help improve our fraud filtering

DStrine moved this task from Sprint -- to Triage on the Fundraising-Backlog board.Jul 18 2016, 7:27 PM
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Quill Pencil board.
Ejegg changed the point value for this task from 1 to 2.

Change 375454 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP upgrade to new Minfraud Composer package

https://gerrit.wikimedia.org/r/375454

Ejegg changed the point value for this task from 2 to 4.

This turned out to require upgrading our minFraud SDK and basically rewriting the filter, so I'm upping the point value. On the plus side, the new SDK allows us to actually test with fake HTTP responses.

Change 375454 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Upgrade to new minfraud Composer package

https://gerrit.wikimedia.org/r/375454

Change 275043 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Optionally send more Minfraud parameters

https://gerrit.wikimedia.org/r/275043

@Ppena and @MBeat33 this is deployed!

I haven't turned on any of the extra fields yet. Available options are email (send the real address instead of a hash), amount, currency, first_name, last_name, and street_address.

Change 381037 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Unstage street_address, removing dummy data

https://gerrit.wikimedia.org/r/381037

Change 381037 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Unstage street_address, removing dummy data

https://gerrit.wikimedia.org/r/381037

Ejegg closed this task as Resolved.Sep 27 2017, 7:57 PM

Sending them! And now not sending dummy data when we don't have postal code or street address.